gnutls_x509_privkey_import(3)

NAME
gnutls_x509_privkey_import - API function

SYNOPSIS
#include <gnutls/x509.h>

int gnutls_x509_privkey_import(gnutls_x509_privkey_t key, const gnutls_datum_t * data, gnutls_x509_crt_fmt_t format);

ARGUMENTS

gnutls_x509_privkey_t key
    The structure to store the parsed key

const gnutls_datum_t * data
    The DER or PEM encoded certificate.

gnutls_x509_crt_fmt_t format
    One of DER or PEM

DESCRIPTION
This function will convert the given DER or PEM encoded key to the native gnutls_x509_privkey_t format. The output will be stored in key . If the key is PEM encoded it should have a header of "RSA PRIVATE KEY", or "DSA PRIVATE KEY".

RETURNS
On success, GNUTLS_E_SUCCESS is returned, otherwise a negative error value.

REPORTING BUGS
Report bugs to <bug-gnutls@gnu.org>. GnuTLS home page: http://www.gnu.org/software/gnutls/ General help using GNU software: http://www.gnu.org/gethelp/

COPYRIGHT
Copyright © 2008 Free Software Foundation.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the info and gnutls programs are properly installed at your site, the command

    info gnutls

should give you access to the complete manual.